Subject: Re: [bitcoin-dev] A Proposed Compromise to the Block Size Limit

From: Jorge Timón <[email-masked]>
Date: Sun, 28 Jun 2015 19:53:40 +0200

On Sun, Jun 28, 2015 at 7:29 PM, Gavin Andresen <[email-masked]> wrote:
> On Sun, Jun 28, 2015 at 1:12 PM, Mark Friedenbach <[email-masked]>
> wrote:
>>
>> But ultimately, lightning usefully solves a problem where participants
>> have semi-long lived payment endpoints.
>
>
> Very few of my own personal Bitcoin transactions fit that use-case.
>
> In fact, very few of my own personal dollar transactions fit that use-case
> (I suppose if I was addicted to Starbucks I'd have one of their payment
> cards that I topped up every once in a while, which would map nicely onto a
> payment channel). I suppose I could setup a payment channel with the grocery
> store I shop at once a week, but that would be inconvenient (I'd have to
> pre-fund it) and bad for my privacy.

Unlike other payment channels designs, the lightning payment channel
network allows you to pay to people that you haven't sent a pre-fund
to.
There's must be a path in the network from you to the payee.
That's simpler with only a few hubs although too few hubs is bad for privacy.

> I can see how payment channels would work between big financial institutions
> as a settlement layer, but isn't that exactly the centralization concern
> that is making a lot of people worried about increasing the max block size?

Worried about financial institutions using Bitcoin? No. Who said that?

> And if there are only a dozen or two popular hubs, that's much worse
> centralization-wise compared to a few thousand fully-validating Bitcoin
> nodes.

Remember the hubs cannot steal any coins.

> Don't get me wrong, I think the Lightning Network is a fantastic idea and a
> great experiment and will likely be used for all sorts of great payment
> innovations (micropayments for bandwidth maybe, or maybe paying workers by
> the hour instead of at the end of the month). But I don't think it is a
> scaling solution for the types of payments the Bitcoin network is handling
> today.

I don't see how people could pay coffees with bitcoin in the long term
otherwise.
Bitcoin IOUs from a third party (or federation) maybe, but not with
real p2p btc.